Requirements for developers

Because BlackBerry Messenger connected applications are supported only on BlackBerry smartphones running BlackBerry Device Software 5.0 or later, it is recommended that you use the BlackBerry Messenger SDK in conjunction with the BlackBerry Java SDK 5.0 or later. To download the BlackBerry Java SDK or the associated development tools, visit http://na.blackberry.com/eng/developers/javaappdev/devtools.jsp.

All applications built upon the BBM platform must be distributed to BlackBerry users through the BlackBerry App World storefront, although an application can be loaded directly on a BlackBerry device for testing purposes. Applications loaded directly onto the device are considered by the BBM platform as temporary, and are restricted to a maximum of 100 users. Once an application is made available in BlackBerry App World, there is no limit on the number of users.

To distribute an application through BlackBerry App World, developers must create a membership account to request access to the vendor portal. For information about becoming a member, visit http://na.blackberry.com/eng/developers/appworld/.

All applications that use the BBM platform are subject to code of conduct restrictions to prevent misuse of the platform and to protect user privacy. Research In Motion reserves the right to remove applications that are potentially malicious, or misuse or place an unnecessary burden on the platform. Applications are required to allow users to notify the BBM platform if the application performs any user-initiated action without the user's consent.

Next topic: Provide feedback

Was this information helpful? Send us your comments.